Back
  • Mosaic Version 1.X and QuickTime


         On April 14, 2016 Apple announced that it would no longer be providing security updates for QuickTime on Windows based platforms. Zero day initiative advisors announced that two critical vulnerabilities have been found within QuickTime for Windows. These vulnerabilities will not be patched.

         Mosaic Designer v1 required that QuickTime be installed on a machine in order to manage media. Mosaic Designer 2 does NOT require the installation of QuickTime and instead uses the FFMPEG library. Mosaic systems that are capable of being upgraded to 2.0 be upgraded.

         Remember controllers with compact flash card cannot be upgraded to Mosaic 2.0 with the exception of the MSC X.

    Mosaic Version 1.X Controllers